Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/training/courses/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "description": "<string>", "courseType": "<string>", "courseCategory": "<string>", "isMandatory": true, "passingScore": 123, "duration": 123, "maxAttempts": 123, "expiresAfterDays": 123, "artworkUrl": "<string>", "youtubeUrl": "<string>", "isGlobal": true, "company": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" }, "enrollmentCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "scormUrl": "<string>", "metadata": {} } }
Retrieve a single training course by ID.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Course ID
Course details
Show child attributes
Was this page helpful?